
local baseUnits = {
	player = "Player",
	target = "Target",
	targettarget = "Target of Target",
	targettargettarget = "Target of Target of Target",
	pet = "Pet",
	pettarget = "Pet Target",
	focus = "Focus",
	focustarget = "Focus Target",
	mouseover = "Mouseover",
	mouseovertarget = "Mouseover Target",
} 

local baseGroupedUnits = {
	player = "Player",
	pet = "Pet",
} 

local bossUnits = {
	boss1 = "Boss 1",
	boss2 = "Boss 2",
	boss3 = "Boss 3",
	boss4 = "Boss 4",
} 

local bossTargetUnits = {
	boss1target = "Boss 1 Target",
	boss2target = "Boss 2 Target",
	boss3target = "Boss 3 Target",
	boss4target = "Boss 4 Target",
}

local arenaUnits = {
	arena1 = "Arena 1",
	arena2 = "Arena 2",
	arena3 = "Arena 3",
	arena4 = "Arena 4",
	arena5 = "Arena 5",
} 

local arenaTargetUnits = {
	arena1target = "Arena 1 Target",
	arena2target = "Arena 2 Target",
	arena3target = "Arena 3 Target",
	arena4target = "Arena 4 Target",
	arena5target = "Arena 5 Target",
}

local partyUnits = {
	party1 = "Party 1",
	party2 = "Party 2",
	party3 = "Party 3",
	party4 = "Party 4",
	party5 = "Party 5",
} 

local partyTargetUnits = {
	party1target = "Party 1 Target",
	party2target = "Party 2 Target",
	party3target = "Party 3 Target",
	party4target = "Party 4 Target",
	party5target = "Party 5 Target",
}

local raidUnits = {
	raid1 = "Raid  1",
	raid2 = "Raid  2",
	raid3 = "Raid  3",
	raid4 = "Raid  4",
	raid5 = "Raid  5",
	raid6 = "Raid  6",
	raid7 = "Raid  7",
	raid8 = "Raid  8",
	raid9 = "Raid  9",
	raid10 = "Raid 10",
	raid11 = "Raid 11",
	raid12 = "Raid 12",
	raid13 = "Raid 13",
	raid14 = "Raid 14",
	raid15 = "Raid 15",
	raid16 = "Raid 16",
	raid17 = "Raid 17",
	raid18 = "Raid 18",
	raid19 = "Raid 19",
	raid20 = "Raid 20",
	raid21 = "Raid 21",
	raid22 = "Raid 22",
	raid23 = "Raid 23",
	raid24 = "Raid 24",
	raid25 = "Raid 25",
	raid26 = "Raid 26",
	raid27 = "Raid 27",
	raid28 = "Raid 28",
	raid29 = "Raid 29",
	raid30 = "Raid 30",
	raid31 = "Raid 31",
	raid32 = "Raid 32",
	raid33 = "Raid 33",
	raid34 = "Raid 34",
	raid35 = "Raid 35",
	raid36 = "Raid 36",
	raid37 = "Raid 37",
	raid38 = "Raid 38",
	raid39 = "Raid 39",
	raid40 = "Raid 40",
}
local raidTargetUnits = {
	raid1target = "Raid  1 Target",
	raid2target = "Raid  2 Target",
	raid3target = "Raid  3 Target",
	raid4target = "Raid  4 Target",
	raid5target = "Raid  5 Target",
	raid6target = "Raid  6 Target",
	raid7target = "Raid  7 Target",
	raid8target = "Raid  8 Target",
	raid9target = "Raid  9 Target",
	raid10target = "Raid 10 Target",
	raid11target = "Raid 11 Target",
	raid12target = "Raid 12 Target",
	raid13target = "Raid 13 Target",
	raid14target = "Raid 14 Target",
	raid15target = "Raid 15 Target",
	raid16target = "Raid 16 Target",
	raid17target = "Raid 17 Target",
	raid18target = "Raid 18 Target",
	raid19target = "Raid 19 Target",
	raid20target = "Raid 20 Target",
	raid21target = "Raid 21 Target",
	raid22target = "Raid 22 Target",
	raid23target = "Raid 23 Target",
	raid24target = "Raid 24 Target",
	raid25target = "Raid 25 Target",
	raid26target = "Raid 26 Target",
	raid27target = "Raid 27 Target",
	raid28target = "Raid 28 Target",
	raid29target = "Raid 29 Target",
	raid30target = "Raid 30 Target",
	raid31target = "Raid 31 Target",
	raid32target = "Raid 32 Target",
	raid33target = "Raid 33 Target",
	raid34target = "Raid 34 Target",
	raid35target = "Raid 35 Target",
	raid36target = "Raid 36 Target",
	raid37target = "Raid 37 Target",
	raid38target = "Raid 38 Target",
	raid39target = "Raid 39 Target",
	raid40target = "Raid 40 Target",
}

local movementValues = {
	MOVEFORWARD = "Move Forward",
	MOVEBACKWARD = "Move Backward",
	STRAFELEFT = "Strafe Left",
	STRAFERIGHT = "Strafe Right",
	TURNLEFT = "Turn Left",
	TURNRIGHT = "Turn Right",
	JUMP = "Jump",
	TOGGLEAUTORUN = "Toggle Autorun",
}

local logicBlockTypes = {
	itemBlock = "Item Block",
	macroBlock = "Macro Block",
	noteBlock = "Note Block",
	spellBlock = "Spell Block",
	movementBlock = "Movement Block",
}

WhatsNext.valueLists = {
	["unitAny"] = {
		["|cFFFFFFFFBasic"] = baseUnits,
		["Arena"] = arenaUnits,
		["Arena Targets"] = arenaTargetUnits,
		["Boss"] = bossUnits,
		["Boss Targets"] = bossTargetUnits,
		["Party"] = partyUnits,
		["Party Targets"] = partyTargetUnits,
		["Raid"] = raidUnits,
		["Raid Targets"] = raidTargetUnits,
	},
	["unitGroup"] = {
		["Base"] = baseGroupedUnits,
		["Party"] = partyUnits,
		["Raid"] = raidUnits,
	},
	["movements"] = movementValues,
	["logicBlockTypes"] = logicBlockTypes,

}